diff --git a/src/test/subscription/t/027_nosuperuser.pl b/src/test/subscription/t/027_nosuperuser.pl
index 6783e02ca3..dd3c1e4fae 100644
--- a/src/test/subscription/t/027_nosuperuser.pl
+++ b/src/test/subscription/t/027_nosuperuser.pl
@@ -334,7 +334,8 @@ $ENV{"PGPASSWORD"} = 'secret';
 
 my $node_publisher1  = PostgreSQL::Test::Cluster->new('publisher1');
 my $node_subscriber1 = PostgreSQL::Test::Cluster->new('subscriber1');
-$node_publisher1->init(allows_streaming => 'logical');
+$node_publisher1->init(allows_streaming => 'logical',
+					   'auth_extra' => [ '--create-role', 'regress_test_user' ]);
 $node_subscriber1->init;
 $node_publisher1->start;
 $node_subscriber1->start;
@@ -372,7 +373,8 @@ $node_subscriber1->wait_for_subscription_sync($node_publisher1,
 # password is not allowed.
 unlink($node_publisher1->data_dir . '/pg_hba.conf');
 $node_publisher1->append_conf('pg_hba.conf',
-	qq{local all 				regress_test_user 	md5});
+	qq{local all 				regress_test_user 	md5
+host  all 				regress_test_user 127.0.0.1/32          md5});
 $node_publisher1->reload;
 
 # Change the subscription owner to a non-superuser
